Foxit PDF SDK

Instance Methods | List of all members
FSUInt32Array Class Reference

An array of unsigned integer values.
More...

Inheritance diagram for FSUInt32Array:

## Instance Methods
(BOOL) | - add:
| Add an element at the tail. Potentially growing the array. More...
(int) | - find:iStart:
| Find an element from specified position to last. More...
(unsigned int) | - getAt:
| This method retrieves an element specified by an index number. More...
(int) | - getSize
| Get the number of elements in the array. More...
(int) | - getUpperBound
| Get the upper bound in the array, actually the maximum valid index. More...
(void) | - removeAll
| Clean up the array. More...
(BOOL) | - removeAt:nCount:
| Remove a number of elements at specified position. More...
(BOOL) | - setAt:newElement:
| This method overwrites an element specified by an index number. More...
(BOOL) | - setAtGrow:newElement:
| Set an element value at specified position. Potentially growing the array. More...
(BOOL) | - setSize:nGrowBy:
| Change the allocated size and the grow amount. More...

## Detailed Description

An array of unsigned integer values.

## Method Documentation

## ◆ add:()

- (BOOL) add: |  | (unsigned int) | newElement |

Add an element at the tail. Potentially growing the array.

Parameters

  [in] | newElement | The input element.

Returns
  YES means success, while NO means failure (such as memory error).

## ◆ find:iStart:()

- (int) find: |  | (unsigned int) | data
iStart: |  | (int) | iStart

Find an element from specified position to last.

Parameters

  [in] | data | The input element.
  [in] | iStart | Specifies the zero-based index of start element to find.

Returns
  An index of the found element. -1 means found none.

## ◆ getAt:()

- (unsigned int) getAt: |  | (int) | nIndex |

This method retrieves an element specified by an index number.

Parameters

  [in] | nIndex | Specifies the zero-based index of the element.

Returns
  An element.

## ◆ getSize()

- (int) getSize |  |  |

Get the number of elements in the array.

Returns
  The number of elements in the array.

## ◆ getUpperBound()

- (int) getUpperBound |  |  |

Get the upper bound in the array, actually the maximum valid index.

Returns
  The upper bound.

## ◆ removeAll()

- (void) removeAll |  |  |

Clean up the array.

Returns
  None.

## ◆ removeAt:nCount:()

- (BOOL) removeAt: |  | (int) | nIndex
nCount: |  | (int) | nCount

Remove a number of elements at specified position.

Parameters

  [in] | nIndex | Specifies the zero-based index in the array.
  [in] | nCount | Specifies the count of element to remove.

Returns
  YES means success, while NO means failure (such as parameter or memory error).

## ◆ setAt:newElement:()

- (BOOL) setAt: |  | (int) | nIndex
newElement: |  | (unsigned int) | newElement

This method overwrites an element specified by an index number.

Parameters

  [in] | nIndex | Specifies the zero-based index of the element.
  [in] | newElement | An element.

Returns
  YES means success, while NO means failure.

## ◆ setAtGrow:newElement:()

- (BOOL) setAtGrow: |  | (int) | nIndex
newElement: |  | (unsigned int) | newElement

Set an element value at specified position. Potentially growing the array.

Parameters

  [in] | nIndex | Specifies the zero-based index of element in the array.
  [in] | newElement | The input element.

Returns
  YES means success, while NO means failure.

## ◆ setSize:nGrowBy:()

- (BOOL) setSize: |  | (int) | nNewSize
nGrowBy: |  | (int) | nGrowBy

Change the allocated size and the grow amount.

Parameters

  [in] | nNewSize | The new size in elements expected.
  [in] | nGrowBy | The grow amount in elements expected. This can be -1 for the grow amount unchanged.

Returns
  YES means success, while NO means failure (such as parameter or memory error).